# Create Registered Agent

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/ra/registered\\_agent/create>
{% endhint %}

Create a new registered agent and get an address for your company

<table data-header-hidden><thead><tr><th width="197.727294921875"></th><th width="137.8182373046875"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Required</td><td>Type</td></tr><tr><td>company_id</td><td>yes</td><td>company_id from list companies</td></tr><tr><td>jurisdictions</td><td>yes</td><td><p>JSON Array:</p><p>["Colorado", "Nebraska"]<br>OR</p><p>PLAIN TEXT:<br>Colorado</p></td></tr><tr><td>auto_renew</td><td>yes</td><td>yes or no</td></tr><tr><td>key</td><td>yes</td><td>your API key</td></tr></tbody></table>

{% tabs %}
{% tab title="Curl Post" %}

```php
curl https://v1.api19.com/ra/registered_agent/create \
 -d 'company_id=j203h-hj32fh-32hf923hf' \
 -d 'jurisdictions=["Colorado","Nebraska"]' \
 -d 'auto_renew=yes' \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="JSON Response" %}

```json
OK:
{
  "status": "ok",
  "data": [
    {
      "id": "ad088553-j28q-j1v5-969b-fdcfcf3edea2",
      "type": "registered-agent",
      "status": "active",
      "company_id": "a7c234ff-mmj2-k1j4-aef4-dbd1e3a6b27a",
      "created_at": "2025-05-12T06:56:09.000+00:00",
      "updated_at": "2025-05-12T06:56:09.000+00:00",
      "jurisdiction": "New York",
      "jurisdiction_id": "6267cc34-c663-45ea-886b-9f38fab870d4",
      "company": "moo communications llc",
      "registered_agent": {
        "name": "Registered Agents Inc.",
        "address": {
          "line1": "418 Broadway",
          "line2": "STE R",
          "state_province_region": "NY",
          "city": "Albany",
          "zip_postal_code": "12207"
        }
      },
      "service_info": []
    },
    {
      "id": "f3d4jjh2-2j38-4168-af04-849kk111800",
      "type": "registered-agent",
      "status": "active",
      "company_id": "a7c2jjhh-ea7c-4b24-aef4-db1j3na6b27a",
      "created_at": "2025-05-12T06:56:09.000+00:00",
      "updated_at": "2025-05-12T06:56:09.000+00:00",
      "jurisdiction": "California",
      "jurisdiction_id": "072dccf7-678d-466f-b072-fc2876c6b79c",
      "company": "moo communicaitons llc",
      "registered_agent": {
        "name": "Registered Agents Inc",
        "address": {
          "line1": "1401 21st ST",
          "line2": "STE R",
          "state_province_region": "CA",
          "city": "Sacramento",
          "zip_postal_code": "95811"
        }
      },
      "service_info": []
    }
  ]
}

ERROR:
{
    "status": "error",
    "error": "Company already exists"
}

```

{% endtab %}

{% tab title="Possible Errors" %}

```hack
Jurisdictions must be selected
Tools connectivity issue
Invalid jurisdiction: 
Invalid auto renew value
No company id provided
Cannot locate company
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="States" %}
Supported States

array:

```php
["Alabama", "Alaska", "Arizona", "Arkansas", "California", "Colorado", "Connecticut", "Delaware", "District of Columbia", "Florida", "Georgia", "Hawaii", "Idaho", "Illinois", "Indiana", "Iowa", "Kansas", "Kentucky", "Louisiana", "Maine", "Maryland", "Massachusetts", "Michigan", "Minnesota", "Mississippi", "Missouri", "Montana", "Nebraska", "Nevada", "New Hampshire", "New Jersey", "New Mexico", "New York", "North Carolina", "North Dakota", "Ohio", "Oklahoma", "Oregon", "Pennsylvania", "Rhode Island", "South Carolina", "South Dakota", "Tennessee", "Texas", "Utah", "Vermont", "Virginia", "Washington", "West Virginia", "Wisconsin", "Wyoming", "American Samoa", "Federal", "Guam", "Northern Mariana Islands", "U.S. Virgin Islands", "Puerto Rico"];
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/registered-agent/create-registered-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
